Mailinglist Archive: opensuse-packaging (162 mails)

< Previous Next >
Re: [opensuse-packaging] Library packaging question
  • From: Philipp Thomas <Philipp.Thomas2@xxxxxxx>
  • Date: Sun, 14 Feb 2010 18:04:31 +0100
  • Message-id: <eeagn5taqutv842gurq83fttluslpepu8r@xxxxxxx>
On Sun, 14 Feb 2010 14:39:16 +0100 (CET), you wrote:

No SONAME, but at least the library name is changed on every release.
(libfmodex-4.28.so -> libfmodex-4.29.so)

If you don't care about ABI compatibility or don't want to maintain it
then this is IMO OK because that tells people that no two versions of
the library are compatible. Libtool uses the same if you decide to not
follow it's rules for handling library versions but instead use
--release to force a certain version number.

But the fmodex folks should set the soname to the library name.

Philipp
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >